<?xml version="1.0" encoding="utf-8">

<!-- 
Local:1 on this screen is used for internal logic for when the user hits ESC to cancel instead of clicking a button. 
 -->

<UIScene name="SCREEN_MESSAGEBOX_REST" width="377" height="500" x="ALIGN_CENTER" y="ALIGN_CENTER" modal="true" idleexpiretime="1.0" scriptloadable="true" autolayout="false"
    backoutkey="true"
      OnCreate=UIScene_OnCreate_SetupMessageBox(300,300,10,10,10,10) priority="SCENE_GLOBAL"
		  OnAdd=UIObject_Misc_SetLocalVarString(1,"false")
      OnRemove=UIScene_OnRemove_FireCancelCallback("cancelbutton") />

	<!-- Information Box.  This tells how dangerous the area is to rest in. -->
<UIListBox name="messageboxlb" x="40" y="40" width="310" height="47" showpartialchild="true" xPadding="0" yPadding="0"
hidescrollbarwhennotneeded="true" scrollsegmentsize="17" unequalcontrols="true">

  <UIText name="messagetext" width="PARENT_WIDTH" height="47" sizetofit="true" valign="middle" align="center" fontfamily="Title_Font" style=2  />
  <UIScrollBar name="SB" style="STYLE_SB_THIN"></UIScrollBar>	 
</UIListBox>


  <!-- 
      These are the radio button options that can be chosen from the rest screen.  Only one can be selected at a time.  
      Options are:
        Rest
        Wait until dusk
        Wait until dawn
        (These tooltips removed from the 2 UIButtons below)
				DefaultToolTip=178824 OnToolTip=UIObject_Tooltip_DisplayObject(OBJECT_X,OBJECT_Y,SCREEN_TOOLTIP_2,ALIGN_NONE,ALIGN_NONE,0,0,ALIGN_LEFT) >
 				DefaultToolTip=178824 OnToolTip=UIObject_Tooltip_DisplayObject(OBJECT_X,OBJECT_Y,SCREEN_TOOLTIP_2,ALIGN_NONE,ALIGN_NONE,0,0,ALIGN_LEFT) >
 -->
   	 <UIPane name="REST_GUI_PANE_MAIN" x="20" y="50" width="PARENT_WIDTH" height="350">
 
		<UIPane name="REST_GUI_PANE1" x="22" y="50" height="135" width="PARENT_WIDTH" >
      <UIButton name="REST_GUI_STATE_BUTTON_REST" x="0" y="0" width="131" height="132" disabledcolor="FFFFFF"
				OnLeftClick=UIObject_Misc_ExecuteServerScript("gui_rest_state","0") >
				<UIFrame state=up		fill="re_button1.tga" />
				<UIFrame state=down		fill="re_button1_down.tga" />
				<UIFrame state=focused	fill="re_button1.tga" />
				<UIFrame state=hilited	fill="re_button1_over.tga" />
				<UIFrame state=hifocus	fill="re_button1_over.tga" />
				<UIFrame state=disabled	fill="re_button1_down.tga" />
			</UIButton> 
			<UIText name="REST_GUI_TEXT_BUTTON_REST" strref="186216" x="143" y="0" align=left valign=middle height="PARENT_HEIGHT" width="160" fontfamily="Title_Font" style=2 />
		</UIPane>
		<UIPane name="REST_GUI_PANE2" x="22" y="205" height="135" width="PARENT_WIDTH" >
      <UIButton name="REST_GUI_STATE_BUTTON_WAIT" x="0" y="0" width="131" height="132" disabledcolor="FFFFFF"
	            OnLeftClick=UIObject_Misc_ExecuteServerScript("gui_rest_state","1") >
				<UIFrame state=up		fill="re_button2.tga" />
				<UIFrame state=down		fill="re_button2_down.tga" />
				<UIFrame state=focused	fill="re_button2.tga" />
				<UIFrame state=hilited	fill="re_button2_over.tga" />
				<UIFrame state=hifocus	fill="re_button2_over.tga" />
				<UIFrame state=disabled	fill="re_button2_down.tga" />
			</UIButton> 
			<UIText name="REST_GUI_TEXT_BUTTON_WAIT" strref="186217" x="143" y="0" align=left valign=middle height="PARENT_HEIGHT" width="160" fontfamily="Title_Font" style=2 />
		</UIPane> 		
	</UIPane> 


<!-- OK & Cancel buttons at bottom of screen. -->
<!-- Top Pane info: Y = 220, height = 50 * 1 element -->
<UIPane name="REST_GUI_PANE_OK_CANCEL" x="20" y="437" width="PARENT_WIDTH" height="50">
  <!-- OK Button -->
  <UIButton name="okbutton" strref="66" x="37" y="0" style="STYLE_SMALL_BUTTON" OnLeftClick0=UIButton_Input_HandleMessageBoxOK() 
  OnLeftClick1=UIObject_Misc_ExecuteServerScript(gui_2d2f_undead_effect_rest_x1)>
  </UIButton>

  <!-- Cancel Button -->
  <UIButton name="cancelbutton" strref="67" x="175" y="0" style="STYLE_SMALL_BUTTON" OnLeftClick=UIButton_Input_HandleMessageBoxCancel()>
  </UIButton>
</UIPane>

<!-- Background Image -->
<UIFrame name="RE_BACKGROUND" x="0" y="0" width="PARENT_WIDTH" height="PARENT_HEIGHT" 
         fill="re_background.tga" border="5" />
